Name: xfce4-panel
Version: 4.4.2
Release: alt0.S40.0

Summary: Panel for XFce
License: GPL
Group: Graphical desktop/XFce
Url: http://www.xfce.org/
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2

Patch1: xfce4-panel-ru-update.patch

Requires: libxfcegui4 >= %version, libxfce4mcs >= %version, libgtk+2-common
Requires: xfce-mcs-manager >= %version, libxml2 >= 2.4.0

Obsoletes: xfce4-showdesktop-plugin, xfce4-windowlist-plugin

BuildPreReq: xfce4-dev-tools >= 4.4.0
# Automatically added by buildreq on Mon Nov 19 2007
BuildRequires: gcc-c++ gtk-doc imake libSM-devel libstartup-notification-devel xfce-mcs-manager-devel xfce4-dev-tools xorg-cf-files intltool

%description
%name is the panel for the XFce desktop environment.

%package devel
Summary: Development files to build XFce panel plugins
Group: Development/C
License: GPL
PreReq: %name = %version-%release

%description devel
This package contains files to develop plugins for XFce panel.

%package devel-doc
Summary: Documentation files to build XFce panel plugins
Group: Development/Documentation
License: GPL
PreReq: %name-devel = %version-%release

%description devel-doc
This package contains files to develop plugins for XFce panel.

%prep
%setup
%patch1 -p1

%build
libtoolize --force --copy
intltoolize --force
aclocal -I %_datadir/xfce4/dev-tools/m4macros
automake -acf
autoconf
%configure \
	--enable-startup-notification \
	--enable-dummy-scripts \
	--enable-gtk-doc \
	--enable-debug=no
%make_build

%install
%make install DESTDIR=%buildroot
%find_lang %name

%post
%_bindir/gtk-update-icon-cache
%postun
%_bindir/gtk-update-icon-cache

%files -f %name.lang
%doc README ChangeLog NEWS INSTALL COPYING AUTHORS
%config (noreplace) %_sysconfdir/xdg/xfce4/*
%_bindir/*
%_libdir/libxfce4panel.so.*
%_libdir/xfce4/mcs-plugins/*.so
%_libdir/xfce4/panel-plugins/*.so
%_datadir/xfce4/doc/*/*
%_desktopdir/*
%_liconsdir/*
%_miconsdir/*
%dir %_datadir/xfce4/panel-plugins
%_datadir/xfce4/panel-plugins/*.desktop
%exclude %_libdir/xfce4/mcs-plugins/*.la
%exclude %_libdir/xfce4/panel-plugins/*.la

%files devel
%_includedir/xfce4/libxfce4panel
%_pkgconfigdir/*
%_libdir/libxfce4panel.so

%files devel-doc
%dir %_datadir/gtk-doc/html/libxfce4panel/
%_datadir/gtk-doc/html/libxfce4panel/*

%changelog
* Mon Jun 16 2008 Andrey Cherepanov <cas@altlinux.ru> 4.4.2-alt0.S40.0
- update Russian translation

* Tue Jan 15 2008 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt0.M40
- backport for branch

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt1
- Xfce 4.4.2 release

* Sun Jun 17 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt2
- fix 12007

* Sat Apr 14 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt1
- Xfce 4.4.1 release

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.0-alt0.1
- Xfce 4.4 release

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  4.3.99.1-alt2
- Fix buildreq and cleanup spec

* Tue Sep 12 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt1
- new version 4.4rc1

* Tue Nov 15 2005 Eugene Ostapets <eostapets@altlinux.ru> 4.2.3-alt1
- 4.2.3

* Wed May 18 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.2-alt1
- 4.2.2

* Wed Mar 23 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.1-alt2
- Fixed panel settings saving.

* Thu Mar 17 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.1-alt1
- 4.2.1

* Sat Jan 15 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.0-alt1
- 4.2.0

* Fri Dec 24 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.99.3-alt1
- 4.1.99.3

* Mon Nov 01 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.91-alt1
- 4.1.91

* Wed Jul 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.6-alt1
- 4.0.6

* Sat Apr 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt1
- 4.0.5

* Tue Mar 16 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Wed Jan 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt1
- 4.0.3

* Mon Dec 22 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.2-alt1
- 4.0.2

* Tue Nov 18 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Fri Sep 26 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt1
- 4.0.0

* Fri Sep 12 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.4-alt1
- 3.99.4

* Fri Aug 29 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.3-alt0.9
- 3.99.3

* Sun Aug 17 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.2-alt0.9
- 3.99.2

* Mon Jul 14 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.1-alt0.9
- 3.99.1

* Fri Jun 13 2003 Andrey Astafiev <andrei@altlinux.ru> 3.90.0-alt0.9
- First version of RPM package for Sisyphus.
- Spec derived from original version.
